Appearance
Returns a paginated list of Comment objects. The postId in the URL is the publicId of the post.
postId
publicId
Response:
type Response = { comments: Comment[] | null; // Array of Comment objects. next: string | null; // Pagination cursor. };
parentId
next
Requests must have the following JSON body:
type Request = { parentCommentId: string | null; body: string; };
Returns the added Comment object.
userGroup
normal
admins
mods
/posts/{postId}/comments
GET
Returns a paginated list of Comment objects. The
postIdin the URL is thepublicIdof the post.Response:
Query parameters
parentId(string)parentId's child comments.next(string)POST
Requests must have the following JSON body:
Returns the added Comment object.
Query parameters
userGroup(string)normal,admins,mods, withnormalbeing default.